For the complete documentation index, see llms.txt. This page is also available as Markdown.

Catalogs

List catalogs

get
Authorizations
AuthorizationstringRequired
Responses
200

catalogs listed

application/json
get/api/v1/catalogs
GET /api/v1/catalogs HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

catalogs listed

{
  "catalogs": [
    {
      "id": 1,
      "name": "text",
      "parent": {
        "id": 1,
        "name": "text"
      },
      "created_at": "text",
      "updated_at": "text",
      "canvas_domain": "text",
      "canvas_id": 1,
      "settings": {
        "privacy_policy_url": "text",
        "terms_url": "text",
        "currency": "text",
        "supported_payment_types": "text",
        "time_zone": "text",
        "country": "text",
        "measurement": "text",
        "email_from_name": "text",
        "email_from_address": "text",
        "allow_user_registration": true,
        "title_tag": "text",
        "meta_description": "text",
        "custom_head_content": "text",
        "custom_body_content": "text",
        "show_listings_in_parent": true,
        "order_id_prefix": "text",
        "inherit_categories": true,
        "inherit_user_defined_fields": true,
        "inherit_purchase_order_institution_details": true,
        "beta_canvas_domain": "text",
        "skus_enabled": true,
        "canvas_enrollment_events": true,
        "include_noncatalog_courses_in_dashboard": true,
        "external_idp_logout_workflow": true,
        "private_catalog": true,
        "bulk_purchase_disabled": true,
        "enroll_button_behavior": "text",
        "external_registration_url": "text",
        "external_registration_public_key": "text",
        "redirect_external_registration_condition": "text",
        "include_captcha": true,
        "user_registration_domain_restriction_type": "text",
        "user_registration_domain_deny_list": "text",
        "user_registration_domain_allow_list": "text",
        "restrict_enrollment_to_user_registration_domain": true,
        "frame_ancestors": "text",
        "email_reply_to": "text",
        "has_sso_warning": true,
        "measurement_id": "text",
        "redirect_non_admins_to_root_url": true,
        "canvas_feature_send_usage_metrics": true,
        "disable_passive_login": true,
        "new_storefront": true,
        "tags_permission_default_value": true,
        "cross_listing_permission_default_value": true,
        "inherit_storefront_theme": true,
        "canvas_authentication_provider_id": "text",
        "udf_collection_level": "text",
        "disable_drop_course_button": true,
        "google_tag_manager_id": "text",
        "linkedin_partner_id": "text",
        "enable_credentials": true,
        "enable_impact": true,
        "enable_pathways": true,
        "hide_missing_pathway": true,
        "storefront_product_recommendation_behavior": "text",
        "storefront_product_recommendation_count": 1,
        "enable_recommendations": true,
        "product_page_recommendation_fallback": "text",
        "product_page_recommendation_count": 1,
        "enable_recommendations_for_product_page": true,
        "hide_self_paced_label": true,
        "login_auth_providers": "text",
        "multiple_promo_codes_enabled": true,
        "custom_instructor_label": "text",
        "custom_instructor_label_plural": "text",
        "purchase_seats_for_others_enabled": true,
        "hide_no_badges_text": true,
        "load_custom_scripts": true,
        "enable_purchase_orders": true,
        "enable_detail_codes": true
      },
      "user_defined_fields": [
        {
          "list_order": 1,
          "name": "text",
          "label": "text",
          "field_type": "text",
          "required": true,
          "required_message": "text",
          "metadata": {},
          "hide_in_user_workflow": true
        }
      ],
      "logo": "text",
      "locale": "text",
      "url": "text",
      "measurement": "text",
      "storefront_theme_id": "text"
    }
  ]
}

Get a specific catalog

get
Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Identifier for this catalog

Responses
200

catalog found

application/json
get/api/v1/catalogs/{id}
GET /api/v1/catalogs/{id} HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

catalog found

{
  "account": {
    "id": 1,
    "name": "text",
    "parent": {
      "id": 1,
      "name": "text"
    },
    "created_at": "text",
    "updated_at": "text",
    "canvas_domain": "text",
    "canvas_id": 1,
    "settings": {
      "privacy_policy_url": "text",
      "terms_url": "text",
      "currency": "text",
      "supported_payment_types": "text",
      "time_zone": "text",
      "country": "text",
      "measurement": "text",
      "email_from_name": "text",
      "email_from_address": "text",
      "allow_user_registration": true,
      "title_tag": "text",
      "meta_description": "text",
      "custom_head_content": "text",
      "custom_body_content": "text",
      "show_listings_in_parent": true,
      "order_id_prefix": "text",
      "inherit_categories": true,
      "inherit_user_defined_fields": true,
      "inherit_purchase_order_institution_details": true,
      "beta_canvas_domain": "text",
      "skus_enabled": true,
      "canvas_enrollment_events": true,
      "include_noncatalog_courses_in_dashboard": true,
      "external_idp_logout_workflow": true,
      "private_catalog": true,
      "bulk_purchase_disabled": true,
      "enroll_button_behavior": "text",
      "external_registration_url": "text",
      "external_registration_public_key": "text",
      "redirect_external_registration_condition": "text",
      "include_captcha": true,
      "user_registration_domain_restriction_type": "text",
      "user_registration_domain_deny_list": "text",
      "user_registration_domain_allow_list": "text",
      "restrict_enrollment_to_user_registration_domain": true,
      "frame_ancestors": "text",
      "email_reply_to": "text",
      "has_sso_warning": true,
      "measurement_id": "text",
      "redirect_non_admins_to_root_url": true,
      "canvas_feature_send_usage_metrics": true,
      "disable_passive_login": true,
      "new_storefront": true,
      "tags_permission_default_value": true,
      "cross_listing_permission_default_value": true,
      "inherit_storefront_theme": true,
      "canvas_authentication_provider_id": "text",
      "udf_collection_level": "text",
      "disable_drop_course_button": true,
      "google_tag_manager_id": "text",
      "linkedin_partner_id": "text",
      "enable_credentials": true,
      "enable_impact": true,
      "enable_pathways": true,
      "hide_missing_pathway": true,
      "storefront_product_recommendation_behavior": "text",
      "storefront_product_recommendation_count": 1,
      "enable_recommendations": true,
      "product_page_recommendation_fallback": "text",
      "product_page_recommendation_count": 1,
      "enable_recommendations_for_product_page": true,
      "hide_self_paced_label": true,
      "login_auth_providers": "text",
      "multiple_promo_codes_enabled": true,
      "custom_instructor_label": "text",
      "custom_instructor_label_plural": "text",
      "purchase_seats_for_others_enabled": true,
      "hide_no_badges_text": true,
      "load_custom_scripts": true,
      "enable_purchase_orders": true,
      "enable_detail_codes": true
    },
    "user_defined_fields": [
      {
        "list_order": 1,
        "name": "text",
        "label": "text",
        "field_type": "text",
        "required": true,
        "required_message": "text",
        "metadata": {},
        "hide_in_user_workflow": true
      }
    ],
    "logo": "text",
    "locale": "text",
    "url": "text",
    "measurement": "text",
    "storefront_theme_id": "text"
  }
}

Last updated

Was this helpful?